Skip to content

Get campaign runs.

GET
/backend/v1/campaign-runs

Retrieves a list of campaign runs that match the given criteria,
with the option to adjust the limit for more results.

Authorizations

HTTPBearer
Type
HTTP (bearer)

Parameters

Query Parameters

cursor

Selects page for paginated results. Pass in the next or prev attribute in the response

search

Only return results that match the given text.

limit

Limits the amount of results.

Type
integer
Default
10
Maximum
100
Minimum
1
ascending

Whether results should be sorted in ascending order.

Type
boolean
Default
false
before

Only return results from before this timestamp.

after

Only return results from after this timestamp.

name

Filter by campaign runs with names that match this value.

campaignScheduleId

Filter by campaign runs in this schedule.

status

Filter by campaign runs with any of these statuses.

providerId

Filter by provider that the campaign was run against.

createdBy

Filter by users that created the campaign runs.

scoreRange

Only return campaign runs with a score between range.

includeProviders

Include providers that the campaign was run against.

Type
boolean
Default
false
includeRemediations

Include remediations that were created from the campaign runs.

Type
boolean
Default
false
includeCampaigns

Include campaigns.

Type
boolean
Default
false
includeSchedules

Include campaign schedules.

Type
boolean
Default
false
includeUsers

Include users.

Type
boolean
Default
false
sortBy

Sort results by the given parameter.

Default
"created_at"
preserve

Filter by campaign runs that are preserved or not.

vendored

Filter by campaign runs that are vendored or not.

Type
boolean
Default
false

Responses

Successful Response

application/json
JSON
"string"

Playground

Server
Authorization
Variables
Key
Value

Samples

Powered by VitePress OpenAPI

Updated at: